StartupEvents.registry('palladium:condition_serializer', (event) => {
event.create('heroes:is_mainhand')
  .addProperty("hand_type", "string", "right", "Is the main hand the right or left hand? Valid values are \"left\" or \"right\"")
  .test((entity, props) => {
    let desiredHand = props.get("hand_type")
    return entity.getMainArm().toString().toLowerCase() === desiredHand
})
});